UPDATE magicRun 
    JOIN magicDSRun USING(magic_id)
    JOIN magicDSFile USING(magic_ds_id)
    JOIN diffRun ON magic_ds_id = magicked
    JOIN diffSkyfile ON diffRun.diff_id = diffSkyfile.diff_id
SET diffRun.magicked = 0,
    diffSkyfile.magicked = 0,
    magicDSRun.state = 'censored',
    magicDSFile.fault = 42
